:root {
  --black: #000;
  --white: #fafafa;
  --blue: #042f38;
  --lightblue: #d7e2eb;
  --grey: #d9d9d9;
  --border: 0, 5px solid #000;
}
* {
  font-family: "Montserrat", sans-serif;
  margin: 0;
  padding: 0;
  /*   background-color: var(--white);  */
  & .hidoh1 {
    display: none;
  }
}


header {
  display: flex;
  justify-content: space-between;
  align-content: center;
  max-width: 1280px;
  width: 100%;
  margin-inline: auto;
  & .navlogo {
    background-image: url(./assets/rainylogo.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    min-height: 2rem;
    min-width: 10rem;
   }
   #menucheck {
    display: none;
   } 
}

.main {
  background-color: var(--white);
}

.dropdown {
  display: flex;
  position: relative;
  font-size: 1.3rem;
  & .fa  {
    margin: 1rem 0.5rem;
    align-self: baseline;
  }
  & p {
    margin: 0.9rem 0.5rem;
  }
  @media (max-width: 900px) {
    font-size: 1rem;
  }
}

.dropdown-content { /*the dropmenu needs to overlap with icons to be able to register the hovering*/
  display: none;
  position: absolute;
  background-color: var(--white);
  z-index: 1;
  min-width: 15rem;
  padding-inline: 2rem;
  top: 2.2rem;
  box-shadow: rgba(2, 8, 20, 0.1) 0px 0.35em 1.175em,
    rgba(2, 8, 20, 0.08) 0px 0.175em 0.5em;
  & a {
    color: #000;
    /* padding-inline: 4rem; */
    padding-block: 1rem;
    text-decoration: none;
    display: block;
  }
  & a:hover {
    opacity: 50%;
  }
}

.dropdown:hover .dropdown-content {
  /*when hovering over dropmenu & drop-content changes from dispplay none to block*/
  display: block;
  float: right;
}

.herocontainer {
  & .herosection {
    min-height: 60rem;
    margin-inline: 5rem;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    background-image: url(./assets/heroimg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    & a:hover {
      background-color: var(--black);
      color: var(--white);
    }
    & .imgbutton-hero {
      background-color: var(--white);
      color: var(--black);
      border: 0.5px solid var(--black);
      padding: 1rem;
    }
    & a {
      display: block;
      margin-bottom: 1rem;
      padding: 0.7rem 1rem;
    }
  }
  @media (max-width: 900px){
    .herosection {
      margin: .5rem;
    }
  }
}

.discoverourproduts {
  display: flex;
  justify-content: center;
  font-size: 1.3rem;
  color: var(--black);
  background-color: var(--white);
  font-style: italic;
  text-decoration: none;
  letter-spacing: 0.2em;
  margin-block: 5rem;
}

.discoverourproduts:hover {
  font-weight: bolder;
}

.cardsindex {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 0.5rem;
  margin-inline: 5rem;
  margin-block: 5rem;
  @media (max-width: 900px) {
    margin: 0;
    background-color: var(--white);
    grid-template-columns: 1fr;
    justify-items: center;
  }
}

.bigimgcontainerindex {
  background-color: var(--white);
  margin-block: 5rem;
  margin-inline: 5rem;
  display: inline-grid;
  position: relative;
  grid-template-columns: auto auto;
  background-color: var(--white);
  gap: 3em;
  justify-items: center;
  & img {
    width: 100%;
    object-fit: cover;
  }
  & a {
    display: grid;
    background-color: var(--white);
    padding: 5px;
    justify-content: center;
    color: var(--black);
    font-style: italic;
    text-decoration: none;
    letter-spacing: 0.2em;
  }
  @media (max-width: 900px) {
    margin: 0.5rem;
  }
}

.bigimgbottomindex {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  background-image: url(./assets/pairtogether.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  min-height: 55rem;
  margin-inline: 5rem;
  & a:hover {
    background-color: #000;
    color: var(--white);
  }
  & .imgbutton-bottom {
    background-color: var(--white);
    color: var(--black);
    border: 0.5px solid var(--black);
    padding: 1rem;
  }
  & a {
    display: block;
    margin-bottom: 1rem;
    padding: 0.7rem;
  }
  @media (max-width: 900px) {
    margin: 0.5rem;
  }
}

.containerproducts {
  max-width: 1400px;
  padding-inline: 2rem;
  margin-inline: auto;
  margin-top: 5rem;
}

.cardsproducts {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  @media (max-width: 900px) {
    margin: 0;
    background-color: var(--white);
    grid-template-columns: 1fr;
    justify-items: center;
  }
}

.card {
  max-width: 480px;
  border: 1px solid var(--black);
  position: relative;
  height: 100%;
  width: 100%;
  & img {
    width: 100%;
    object-fit: contain;
    aspect-ratio: 1/1;
  }
  & h2,
  p {
    margin: 0 2rem;
  }
  & h2 {
    font-size: 1.5em;
  }
  & p {
    font-size: 1em;
    font-weight: bolder;
  }
  & a {
    font-size: 1em;
    display: block;
    text-align: center;
    padding: 1em;
    text-decoration: none;
    color: var(--black);
  }
  & a:hover {
    font-weight: bolder;
    color: var(--grey);
  }
  & a::before {
    content: "";
    position: absolute;
    top: 0px;
    right: 0px;
    left: 0px;
    bottom: 0px;
  }
}

.containerforproductpage {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-inline: auto;
  width: 80vw;
  gap: 2rem;
  & .productpicture {
    border: 0.5px solid var(--black);
    & img {
      width: 100%;
      max-width: 45rem;
    }
  }
  & .productinfo {
    border: 0.5px solid var(--black);
    & h2, h3, p {
      margin-left: 4rem;
      margin-block: 10px;
    }
    & ul {
      margin-left: 5rem;
    }
    & .bulletpointsproducttext {
      display: grid;
      grid-template-columns: 1fr 1fr;
    }
  }
  & details {
    margin: 1rem 4.1rem;
    }
  & .sizebuttonscontainer {
    display: flex;
    justify-content: space-around;
    margin: 2rem;
    font-weight: bold;
    max-width: 450px;
    margin-inline: auto;
    & button {
      border: 2px solid var(--blue);
    }
    & button:hover {
      /* change this to edit all buttons */
      background-color: var(--white);
      color: var(--blue);
    }
  }
  & .addtocartcontainer {
    display: flex;
    justify-content: center;
    margin: 1rem;
    & a {
      padding: 1.5rem 5rem;
      font-size: larger;
      border: 2px solid var(--blue);
      background-color: #042f38;
      color: var(--white);
    }
    & a:hover {
      padding: 1.5rem 5rem;
      font-weight: bolder;
      background-color: var(--white);
      color: var(--blue);
    }
  }
  & button,
  a {
    background-color: #042f38;
    color: var(--white);
    padding: 1rem 1.5rem;
  }
  & button:hover {
    font-weight: bolder;
    background-color: var(--white);
    color: var(--blue);
  }
  @media (max-width: 900px) {
    grid-template-columns: 1fr;
    margin-inline: 0;
    width: 100vw;
  }
}

.fullcontentabout {
  & h1 {
    padding: 1rem;
    max-width: 45rem;
    margin-inline: auto;
  }
  & #logobottomabout {
    display: block;
    max-width: 150px;
    margin-inline: auto;
    padding: 4rem 0;
  }
  & h2,
  p {
    margin-block: 1rem;
  }
}

.wrapperabout {
  background-color: var(--grey);
  margin-inline: auto;
  max-height: 30rem;
  & img {
    width: 100%;
    object-fit: contain;
    max-height: 30rem;
    margin-inline: auto;
  }
}

.abouttextbox {
  display: grid;
  grid-template-columns: 1fr 1fr;
  color: black;
  gap: 1rem;
  max-width: 45rem;
  margin-inline: auto;
  @media (min-width: 900px) {
    .abouttextbox {
      display: grid;
      grid-template-columns: 1fr;
    }
    p {
      padding: 0;
    }
  }
}

.wrappercontact {
  background-color: var(--grey);
  margin-inline: auto;
  max-height: 30rem;
  /*display: flow-root;/*content cannot escape parent element*/
  & img {
    width: 100%;
    object-fit: contain;
    max-height: 30rem;
    margin-inline: auto;
  }
  @media (min-width: 900px) {
     {
      padding: 0 10rem;
      background-color: pink;
    }
  }
}

.formsectioncontact {
  margin-inline: auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 5rem;
  max-width: 50rem;
  & h2,
  p {
    margin-block: 1rem;
  }
  & ul {
    list-style: none;
  }
  & img {
    grid-area: 2/1/2 / span 2; /* row start/col start /rowend/ colend */
    width: 100%;
    display: grid;
    max-width: 20rem;
    margin-top: 5rem;
    margin-inline: auto;
  }
  & #submitbutton {
    margin-left: 2.5rem;
    padding: 0.5rem;
  }
  @media (max-width: 900px) {
    margin-inline: auto;
    background-color: var(--white);
    grid-template-columns: 1fr;
    justify-items: center;
    & img {
      display: none;
    }
  }
}

.checkoutgrid {
  display: grid;
  overflow: hidden;
  grid-template-columns: 1fr 1fr;
  margin: 4rem;
  justify-items: center;
  align-items: center;
  background-color: var(--white);
  h2 {
    margin: 1rem 0;
    font-weight: bolder;
  }
  & .checkoutinputarea {
    & .inputgrid {
      display: grid;
      grid-template-columns: 1fr 1fr;
      justify-items: center;
      & .paymentbutton {
        text-decoration: none;
        color: var(--white);
      }
    }
    button[type="submit"] {
      color: var(--white);
      background-color: var(--blue);
      font-size: 1.5rem;
      border: none;
      padding: 0.5rem 1rem;
      margin-block: 1rem;
      margin-inline: auto;
      display: block;
      grid-area: 5/1/6 / span 2;
    }
    input[type="text"] {
      font-size: 1rem;
      border: 0.5px solid black;
      padding: 1rem 0.5rem;
      margin: 0.1rem;
    }
    & #adress {
      grid-area: 4/1/5 / span 2;
      min-width: 472px;
      @media (max-width: 900px) {
        min-width: auto;
        
      }
    }
    & .checkbox {
      display: flex;
      justify-content: center;
    }
    @media (max-width: 500px) {
      .inputgrid, h2, h3{
        display: block;
        margin-inline: 5rem;
      }
    }
  }
  & .checkoutinformationarea {
    padding: 3rem 5rem;
    display: flex;
    flex-direction: column;
    border: 0.5px solid var(--black);
    & #shoppingbag {
      display: flex;
      justify-content: center;
      font-size: larger;
      margin-bottom: 1rem;
    }
    & img {
      max-width: 5rem;
      width: 100%;
      object-fit: contain;
    }

    & .titlepicturepricecontainer {
      display: grid;
      grid-template-columns: 1fr 2fr;
      justify-items: right;
      margin-block: 2rem;
      & .textinfoareainsideinformationgrid {
        display: grid;
        grid-template-columns: auto;
      }
    }
    .priceandquantity {
      display: flex;
      justify-content: space-between;
    }
    & .checkoutpricegrid {
      margin-top: 1rem;
      display: flex;
      justify-content: space-between;
    }
    @media (max-width: 900px) {
      padding: 2rem;
      margin-inline: auto;
    }
  }
  @media (max-width: 900px) {
    grid-template-columns: 1fr;
    margin-inline: 0rem;
    justify-content: start;
  }
}

footer {
  margin-top: 5rem;
}

.footercollums {
  min-height: 500px;
  margin-inline: auto;
  padding: 7rem;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  background-color: #000;
  position: sticky;
  color: var(--white);

  @media (max-width: 900px) {
    grid-template-columns: 1fr;
    padding: 2rem;
  }
  & p {
    font-size: 1.5rem;
    font-weight: bolder;
    margin-block: 1.5rem;
  }
  & ul {
    list-style: none;
    & li {
      margin-block: 1rem;
    }
  }
  input[type="text"] {
    font-size: 1rem;
    border: 0.5px solid black;
    padding: 1rem 0.5rem;
    margin: 0.1rem;
  }
}

@media only screen and (max-width: 780px) {
  .bigimgcontainerindex {
    background-color: var(--white);
    grid-template-columns: 1fr;
    justify-items: center;
    gap: 1em;
  }

  .dropdown-content {
    display: none;
    float: right;
  }
   #menucheck {
    display: none;
   }
   #menucheck:checked ~ .dropdown-content {
    display: block;
   }
}
